1

Topic: About versions of assembly (whether the hell was saved?)

How it is correct  if one indirect library refers to version 6.1 JSON.net, and the second on version 10? To allocate in different folders (after all a title at the linguistic data base identical) and in to register in a config?

2

Re: About versions of assembly (whether the hell was saved?)

Hello, Shmj, you wrote: S> As it is correct  if one indirect library refers to version 6.1 JSON.net, and the second on version 10? To allocate in different folders (after all a title at the linguistic data base identical) and in to register in a config? Here it does not help? https://docs.microsoft.com/en-us/dotnet … y-versions (to register binding redirect)

3

Re: About versions of assembly (whether the hell was saved?)

Hello, Sshur, you wrote: S> Here it does not help? https://docs.microsoft.com/en-us/dotnet … y-versions (to register binding redirect) It if you 1 version of library (one dll-file)  under the pretext of two as they are completely compatible. And what if it is necessary to save 2 different files which are not interchangeable? And you refer to these files not and two exterior libraries.

4

Re: About versions of assembly (whether the hell was saved?)

Hello, Shmj, you wrote: S> Hello, Sshur, you wrote: S>> Here it does not help? https://docs.microsoft.com/en-us/dotnet … y-versions (to register binding redirect) S> It if you 1 version of library (one dll-file)  under the pretext of two as they are completely compatible. S> and what if it is necessary to save 2 different files which are not interchangeable? And you refer to these files not and two exterior libraries. Well here I also meant, if more low version instead of it it is possible to try to use newer is required to one. If the new is not compatible with old it is sad.

5

Re: About versions of assembly (whether the hell was saved?)

Hello, Shmj, you wrote: S> As it is correct  if one indirect library refers to version 6.1 JSON.net, and the second on version 10? To allocate in different folders (after all a title at the linguistic data base identical) and in to register in a config? In GAC to install both versions does not help?